QGIS Application - Bug report #12236
Snapping options
2015-02-22 12:40 PM - Thomas Nogatz

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.8.0 Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 20422
Description

Hello,

two problems with snapping options in QGIS 2.8:

1. mode Advanced is enabled by default. But Advanced mode is not really enabled after starting QGIS. You have to enable Current layer
or All layers and then Advanced again to see the table of all layers (= Advanced mode). Once Advanced mode is enabled actually, the
problem doesn't appear until you restart QGIS.

2. itis not possible to avoid intersections with more than one layer. Ofcourse one can activate "Avoid intersections" for more than one
layer but it does only work for one layer - i suppose for the last edited layer.

Best wishes
Thomas

History

#1 - 2015-02-22 12:42 PM - Thomas Nogatz

Platform: Windows 7

#2 - 2015-02-23 12:58 PM - Jiirgen Fischer

- Operating System set to Windows

- OS version setto 7

#3 - 2015-02-23 12:59 PM - Jiirgen Fischer
- Affected QGIS version changed from 2.6.0 to 2.8.0

#4 - 2015-02-23 02:55 PM - Giovanni Manghi

- Status changed from Open to Feedback

not sure | understand, the second issue is a regression/change of behavior from a previous qgis release?

#5 - 2015-02-23 02:56 PM - Giovanni Manghi

- Category set to Digitising

#6 - 2015-11-05 09:04 AM - Raymond Nijssen

We checked this on the master release (2.13) today and it seems to work properly. Please check again and report within 14 days. If we don't get any more
feedback we will close this issue.

Thanks!

#7 - 2015-12-19 02:10 PM - Giovanni Manghi
- Resolution set to worksforme
- Status changed from Feedback to Closed

closing for lack of feedback.
